package myList;

class Cell {
	private Object data;
	private Cell next;
	
	public Cell (){
		this(null, null);
	}
	
	public Cell (Object data){
		this(data, null);
	}
	
	public Cell (Object data, Cell next){
		this.data=data;
		this.next=next;
	}
	
	public Object getData(){
		return data;
	}
	
	public Cell getNext(){
		return next;
	}
	
	public void setData(Object data){
		this.data = data;
	}
	
	public void setNext(Cell next){
		this.next = next;
	}
}
