package myList;

import java.util.*;

@SuppressWarnings("rawtypes")
class MyIterator implements Iterator{
	private Cell current;
	
	public MyIterator (Cell first){
		current = first;
	}
	
	public boolean hasNext() {
		return current != null;
	}

	public Object next() {
		if (hasNext()){
			Object data = current.getData();
			current = current.getNext();
			return data;
		}	
		throw new NoSuchElementException();
	}

	public void remove() {
		throw new UnsupportedOperationException();
	}
	

}
